﻿@model IEnumerable<Entity.Bookmark>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.URL)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ShortDescription)
        </th>
        <th>
           Category
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {   
        <tr>
            <td>
                <a href = "http://@item.URL" target="_blank">@Html.DisplayFor(modelItem => item.URL)</a>
            </td>
            <td>@Html.DisplayFor(modelItem => item.ShortDescription)</td>
            <td>@Html.DisplayFor(modelItem => item.Category.Name)</td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.ID }) |
                @Html.ActionLink("Details", "Details", new { id = item.ID }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.ID })
            </td>
        </tr>
    }

</table>